Bug 737029 - CDS status makes no sense when a sync is in progress
Summary: CDS status makes no sense when a sync is in progress
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: z_other
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Sayli Karmarkar
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-09 12:04 UTC by James Slagle
Modified: 2015-03-23 01:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-11 20:35:23 UTC


Attachments (Terms of Use)

Description James Slagle 2011-09-09 12:04:18 UTC
When a CDS status is in sync, and you use pulp-admin to get the CDS status, the output makes no sense.  Perhaps I'm coloring outside the lines by using pulp-admin outside of rhui-manager, but rhui-manager is so narrow in it's output of status, I almost feel like a customer would *have* to use pulp-admin just to see what's going on.

Let's take a look at the output, it shows the sync'd repos as well as the heartbeat information, then at the end shows:
+------------------------------------------+
           Most Recent Sync Tasks
+------------------------------------------+

State               	Waiting                  
Start Time          	Not Started              
Finish Time         	In Progress              


According to that graphic, the sync is in 2 different states...confusing.  Waiting and Not Started I get, but then why does it say In Progress for Finish Time?  Maybe that's talking about the Most Recently Completed Sync Task instead of the running one, but even then the states wouldn't all apply.

The sync task itself is definitely running:
[root@rhui2 ~]# pulp-admin task list | grep -C 5 running

Task: fad52b23-dad9-11e0-bdbe-1231391025b1
    Scheduler: immediate
    Call: CdsApi.cds_sync
    Arguments: rhui2-cds02.us-east-1.aws.ce.redhat.com
    State: running
    Start time: 2011-09-09T07:50:57-04:00
    Finish time: None
    Scheduled time: 2011-09-09T11:50:57Z
    Result: None
    Exception: None

Comment 1 Jay Dobies 2012-07-11 20:35:23 UTC
This code is removed in v2.


Note You need to log in before you can comment on or make changes to this bug.